atkmm: Atk::Table Class Reference

atkmm 2.24.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Atk::Table Class Reference

The ATK interface implemented for UI components which contain tabular or row/column information. More...

`#include <atkmm/table.h>`

Inheritance diagram for Atk::Table:
[legend]

## Public Member Functions
| Table (Table&& src) noexcept
Table& | operator= (Table&& src) noexcept
virtual | ~Table () noexcept
AtkTable* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkTable* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::RefPtr< Atk::Object > | get_at (int row, int column)
| Get a reference to the table cell at row, column. More...
Glib::RefPtr< const Atk::Object > | get_at (int row, int column) const
| Get a reference to the table cell at row, column. More...
int | get_index_at (int row, int column) const
| Gets a `int` representing the index at the specified row and column. More...
int | get_column_at_index (int index) const
| Gets a `int` representing the column at the specified index. More...
int | get_row_at_index (int index) const
| Gets a `int` representing the row at the specified index. More...
int | get_n_columns () const
| Gets the number of columns in the table. More...
int | get_n_rows () const
| Gets the number of rows in the table. More...
int | get_column_extent_at (int row, int column) const
| Gets the number of columns occupied by the accessible object at the specified row and column in the table. More...
int | get_row_extent_at (int row, int column) const
| Gets the number of rows occupied by the accessible object at a specified row and column in the table. More...
Glib::RefPtr< Atk::Object > | get_caption ()
| Gets the caption for the table. More...
Glib::RefPtr< const Atk::Object > | get_caption () const
| Gets the caption for the table. More...
Glib::ustring | get_column_description (int column) const
| Gets the description text of the specified column in the table. More...
Glib::RefPtr< Atk::Object > | get_column_header (int column)
| Gets the column header of a specified column in an accessible table. More...
Glib::RefPtr< const Atk::Object > | get_column_header (int column) const
| Gets the column header of a specified column in an accessible table. More...
Glib::ustring | get_row_description (int row) const
| Gets the description text of the specified row in the table. More...
Glib::RefPtr< Atk::Object > | get_row_header (int row)
| Gets the row header of a specified row in an accessible table. More...
Glib::RefPtr< const Atk::Object > | get_row_header (int row) const
| Gets the row header of a specified row in an accessible table. More...
Glib::RefPtr< Atk::Object > | get_summary ()
| Gets the summary description of the table. More...
Glib::RefPtr< const Atk::Object > | get_summary () const
| Gets the summary description of the table. More...
void | set_caption (const Glib::RefPtr< Atk::Object >& caption)
| Sets the caption for the table. More...
void | set_column_description (int column, const Glib::ustring& description)
| Sets the description text for the specified column of the table. More...
void | set_column_header (int column, const Glib::RefPtr< Atk::Object >& header)
| Sets the specified column header to header. More...
void | set_row_description (int row, const Glib::ustring& description)
| Sets the description text for the specified row of table. More...
void | set_row_header (int row, const Glib::RefPtr< Atk::Object >& header)
| Sets the specified row header to header. More...
void | set_summary (const Glib::RefPtr< Atk::Object >& accessible)
| Sets the summary description of the table. More...
Glib::ArrayHandle< int > | get_selected_columns () const
Glib::ArrayHandle< int > | get_selected_rows () const
bool | is_column_selected (int column) const
| Gets a boolean value indicating whether the specified column is selected. More...
bool | is_row_selected (int row) const
| Gets a boolean value indicating whether the specified row is selected. More...
bool | is_selected (int row, int column) const
| Gets a boolean value indicating whether the accessible object at the specified row and column is selected. More...
bool | add_row_selection (int row)
| Adds the specified row to the selection. More...
bool | remove_row_selection (int row)
| Removes the specified row from the selection. More...
bool | add_column_selection (int column)
| Adds the specified column to the selection. More...
bool | remove_column_selection (int column)
| Adds the specified column to the selection. More...
Glib::SignalProxy2< void, int, int > | signal_row_inserted ()
Glib::SignalProxy2< void, int, int > | signal_column_inserted ()
Glib::SignalProxy2< void, int, int > | signal_row_deleted ()
Glib::SignalProxy2< void, int, int > | signal_column_deleted ()
Glib::SignalProxy0< void > | signal_row_reordered ()
Glib::SignalProxy0< void > | signal_column_reordered ()
Glib::SignalProxy0< void > | signal_model_changed ()
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface () noexcept
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| Table ()
| You should derive from this class to use it. More...
virtual Glib::RefPtr< Atk::Object > | get_at_vfunc (int row, int column)
virtual int | get_index_at_vfunc (int row, int column) const
virtual int | get_column_at_index_vfunc (int index) const
virtual int | get_row_at_index_vfunc (int index) const
virtual int | get_n_columns_vfunc () const
virtual int | get_n_rows_vfunc () const
virtual int | get_column_extent_at_vfunc (int row, int column) const
virtual int | get_row_extent_at_vfunc (int row, int column) const
virtual Glib::RefPtr< Atk::Object > | get_caption_vfunc ()
virtual const char* | get_column_description_vfunc (int column) const
virtual Glib::RefPtr< Atk::Object > | get_column_header_vfunc (int column)
virtual const char* | get_row_description_vfunc (int row) const
virtual Glib::RefPtr< Atk::Object > | get_row_header_vfunc (int row)
virtual Glib::RefPtr< Atk::Object > | get_summary_vfunc ()
virtual void | set_caption_vfunc (const Glib::RefPtr< Atk::Object >& caption)
virtual void | set_column_description_vfunc (int column, const char* description)
virtual void | set_column_header_vfunc (int column, const Glib::RefPtr< Atk::Object >& header)
virtual void | set_row_description_vfunc (int row, const char* description)
virtual void | set_row_header_vfunc (int row, const Glib::RefPtr< Atk::Object >& header)
virtual void | set_summary_vfunc (const Glib::RefPtr< Atk::Object >& accessible)
virtual bool | is_column_selected_vfunc (int column) const
virtual bool | is_row_selected_vfunc (int row) const
virtual bool | is_selected_vfunc (int row, int column) const
virtual bool | add_row_selection_vfunc (int row)
virtual bool | remove_row_selection_vfunc (int row)
virtual bool | add_column_selection_vfunc (int column)
virtual bool | remove_column_selection_vfunc (int column)
virtual int | get_selected_columns_vfunc (int** selected) const
virtual int | get_selected_rows_vfunc (int** selected) const
virtual void | on_row_inserted (int row, int num_inserted)
| This is a default handler for the signal signal_row_inserted(). More...
virtual void | on_column_inserted (int column, int num_inserted)
| This is a default handler for the signal signal_column_inserted(). More...
virtual void | on_row_deleted (int row, int num_deleted)
| This is a default handler for the signal signal_row_deleted(). More...
virtual void | on_column_deleted (int column, int num_deleted)
| This is a default handler for the signal signal_column_deleted(). More...
virtual void | on_row_reordered ()
| This is a default handler for the signal signal_row_reordered(). More...
virtual void | on_column_reordered ()
| This is a default handler for the signal signal_column_reordered(). More...
virtual void | on_model_changed ()
| This is a default handler for the signal signal_model_changed(). More...
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Table > | wrap (AtkTable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

The ATK interface implemented for UI components which contain tabular or row/column information.

This should be implemented by components which present elements ordered via rows and columns. It may also be used to present tree-structured information if the nodes of the trees can be said to contain multiple "columns". Individual elements of an Atk::Table are typically referred to as "cells", and these cells are exposed by Atk::Table as child Atk::Objects of the Atk::Table. Both row/column and child-index-based access to these children is provided.

Children of Atk::Table are frequently "lightweight" objects, that is, they may not have backing widgets in the host UI toolkit. They are therefore often transient.

Since tables are often very complex, Atk::Table includes provision for offering simplified summary information, as well as row and column headers and captions. Headers and captions are AtkObjects which may implement other interfaces (Atk::Text, Atk::Image, etc.) as appropriate. Atk::Table summaries may themselves be (simplified) Atk::Tables, etc.

## Constructor & Destructor Documentation

Atk::Table::Table | ( |  | ) |
| protected

You should derive from this class to use it.

Atk::Table::Table | ( | Table&& | src | ) |
| noexcept

virtual Atk::Table::~Table | ( |  | ) |
| virtualnoexcept

## Member Function Documentation

bool Atk::Table::add_column_selection | ( | int | column | ) |

Adds the specified column to the selection.

Parameters

  column | A `int` representing a column in table.

Returns
  A `bool` representing if the column was successfully added to the selection, or 0 if value does not implement this interface.

virtual bool Atk::Table::add_column_selection_vfunc | ( | int | column | ) |
| protectedvirtual

static void Atk::Table::add_interface | ( | GType | gtype_implementer | ) |
| static

bool Atk::Table::add_row_selection | ( | int | row | ) |

Adds the specified row to the selection.

Parameters

  row | A `int` representing a row in table.

Returns
  A `bool` representing if row was successfully added to selection, or 0 if value does not implement this interface.

virtual bool Atk::Table::add_row_selection_vfunc | ( | int | row | ) |
| protectedvirtual

Glib::RefPtr<Atk::Object> Atk::Table::get_at | ( | int | row,
|  | int | column
| ) |  |

Get a reference to the table cell at row, column.

This cell should implement the interface Atk::TableCell

Parameters

  row | A `int` representing a row in table.
  column | A `int` representing a column in table.

Returns
  An Atk::Object representing the referred to accessible.

Glib::RefPtr<const Atk::Object> Atk::Table::get_at | ( | int | row,
|  | int | column
| ) |  | const

Get a reference to the table cell at row, column.

This cell should implement the interface Atk::TableCell

Parameters

  row | A `int` representing a row in table.
  column | A `int` representing a column in table.

Returns
  An Atk::Object representing the referred to accessible.

virtual Glib::RefPtr<Atk::Object> Atk::Table::get_at_vfunc | ( | int | row,
|  | int | column
| ) |  |
| protectedvirtual

Glib::RefPtr<Atk::Object> Atk::Table::get_caption | ( |  | ) |

Gets the caption for the table.

Returns
  A AtkObject* representing the table caption, or `nullptr` if value does not implement this interface.

Glib::RefPtr<const Atk::Object> Atk::Table::get_caption | ( |  | ) | const

Gets the caption for the table.

Returns
  A AtkObject* representing the table caption, or `nullptr` if value does not implement this interface.

virtual Glib::RefPtr<Atk::Object> Atk::Table::get_caption_vfunc | ( |  | ) |
| protectedvirtual

int Atk::Table::get_column_at_index | ( | int | index | ) | const

Gets a `int` representing the column at the specified index.

Deprecated:

Since atkmm 2.12:

Deprecated:
  This should not be used in newly-written code.

Parameters

  index | A `int` representing an index in table.

Returns
  A `int` representing the column at the specified index, or -1 if the table does not implement this method.

virtual int Atk::Table::get_column_at_index_vfunc | ( | int | index | ) | const
| protectedvirtual

Glib::ustring Atk::Table::get_column_description | ( | int | column | ) | const

Gets the description text of the specified column in the table.

Parameters

  column | A `int` representing a column in table.

Returns
  A gchar* representing the column description, or `nullptr` if value does not implement this interface.

virtual const char* Atk::Table::get_column_description_vfunc | ( | int | column | ) | const
| protectedvirtual

int Atk::Table::get_column_extent_at | ( | int | row,
|  | int | column
| ) |  | const

Gets the number of columns occupied by the accessible object at the specified row and column in the table.

Parameters

  row | A `int` representing a row in table.
  column | A `int` representing a column in table.

Returns
  A `int` representing the column extent at specified position, or 0 if value does not implement this interface.

virtual int Atk::Table::get_column_extent_at_vfunc | ( | int | row,
|  | int | column
| ) |  | const
| protectedvirtual

Glib::RefPtr<Atk::Object> Atk::Table::get_column_header | ( | int | column | ) |

Gets the column header of a specified column in an accessible table.

Parameters

  column | A `int` representing a column in the table.

Returns
  A AtkObject* representing the specified column header, or `nullptr` if value does not implement this interface.

Glib::RefPtr<const Atk::Object> Atk::Table::get_column_header | ( | int | column | ) | const

Gets the column header of a specified column in an accessible table.

Parameters

  column | A `int` representing a column in the table.

Returns
  A AtkObject* representing the specified column header, or `nullptr` if value does not implement this interface.

virtual Glib::RefPtr<Atk::Object> Atk::Table::get_column_header_vfunc | ( | int | column | ) |
| protectedvirtual

int Atk::Table::get_index_at | ( | int | row,
|  | int | column
| ) |  | const

Gets a `int` representing the index at the specified row and column.

Deprecated: Since 2.12. Use ref_at() in order to get the accessible that represents the cell at ( row, column)

Deprecated:
  Use get_at() instead.

Parameters

  row | A `int` representing a row in table.
  column | A `int` representing a column in table.

Returns
  A `int` representing the index at specified position. The value -1 is returned if the object at row,column is not a child of table or table does not implement this interface.

virtual int Atk::Table::get_index_at_vfunc | ( | int | row,
|  | int | column
| ) |  | const
| protectedvirtual

int Atk::Table::get_n_columns | ( |  | ) | const

Gets the number of columns in the table.

Returns
  A `int` representing the number of columns, or 0 if value does not implement this interface.

virtual int Atk::Table::get_n_columns_vfunc | ( |  | ) | const
| protectedvirtual

int Atk::Table::get_n_rows | ( |  | ) | const

Gets the number of rows in the table.

Returns
  A `int` representing the number of rows, or 0 if value does not implement this interface.

virtual int Atk::Table::get_n_rows_vfunc | ( |  | ) | const
| protectedvirtual

int Atk::Table::get_row_at_index | ( | int | index | ) | const

Gets a `int` representing the row at the specified index.

Deprecated: since 2.12.

Deprecated:
  This should not be used in newly-written code.

Parameters

  index | A `int` representing an index in table.

Returns
  A `int` representing the row at the specified index, or -1 if the table does not implement this method.

virtual int Atk::Table::get_row_at_index_vfunc | ( | int | index | ) | const
| protectedvirtual

Glib::ustring Atk::Table::get_row_description | ( | int | row | ) | const

Gets the description text of the specified row in the table.

Parameters

  row | A `int` representing a row in table.

Returns
  A gchar* representing the row description, or `nullptr` if value does not implement this interface.

virtual const char* Atk::Table::get_row_description_vfunc | ( | int | row | ) | const
| protectedvirtual

int Atk::Table::get_row_extent_at | ( | int | row,
|  | int | column
| ) |  | const

Gets the number of rows occupied by the accessible object at a specified row and column in the table.

Parameters

  row | A `int` representing a row in table.
  column | A `int` representing a column in table.

Returns
  A `int` representing the row extent at specified position, or 0 if value does not implement this interface.

virtual int Atk::Table::get_row_extent_at_vfunc | ( | int | row,
|  | int | column
| ) |  | const
| protectedvirtual

Glib::RefPtr<Atk::Object> Atk::Table::get_row_header | ( | int | row | ) |

Gets the row header of a specified row in an accessible table.

Parameters

  row | A `int` representing a row in the table.

Returns
  A AtkObject* representing the specified row header, or `nullptr` if value does not implement this interface.

Glib::RefPtr<const Atk::Object> Atk::Table::get_row_header | ( | int | row | ) | const

Gets the row header of a specified row in an accessible table.

Parameters

  row | A `int` representing a row in the table.

Returns
  A AtkObject* representing the specified row header, or `nullptr` if value does not implement this interface.

virtual Glib::RefPtr<Atk::Object> Atk::Table::get_row_header_vfunc | ( | int | row | ) |
| protectedvirtual

Glib::ArrayHandle<int> Atk::Table::get_selected_columns | ( |  | ) | const

virtual int Atk::Table::get_selected_columns_vfunc | ( | int ** | selected | ) | const
| protectedvirtual

Glib::ArrayHandle<int> Atk::Table::get_selected_rows | ( |  | ) | const

virtual int Atk::Table::get_selected_rows_vfunc | ( | int ** | selected | ) | const
| protectedvirtual

Glib::RefPtr<Atk::Object> Atk::Table::get_summary | ( |  | ) |

Gets the summary description of the table.

Returns
  A AtkObject* representing a summary description of the table, or zero if value does not implement this interface.

Glib::RefPtr<const Atk::Object> Atk::Table::get_summary | ( |  | ) | const

Gets the summary description of the table.

Returns
  A AtkObject* representing a summary description of the table, or zero if value does not implement this interface.

virtual Glib::RefPtr<Atk::Object> Atk::Table::get_summary_vfunc | ( |  | ) |
| protectedvirtual

static GType Atk::Table::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

AtkTable* Atk::Table::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const AtkTable* Atk::Table::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

bool Atk::Table::is_column_selected | ( | int | column | ) | const

Gets a boolean value indicating whether the specified column is selected.

Parameters

  column | A `int` representing a column in table.

Returns
  A `bool` representing if the column is selected, or 0 if value does not implement this interface.

virtual bool Atk::Table::is_column_selected_vfunc | ( | int | column | ) | const
| protectedvirtual

bool Atk::Table::is_row_selected | ( | int | row | ) | const

Gets a boolean value indicating whether the specified row is selected.

Parameters

  row | A `int` representing a row in table.

Returns
  A `bool` representing if the row is selected, or 0 if value does not implement this interface.

virtual bool Atk::Table::is_row_selected_vfunc | ( | int | row | ) | const
| protectedvirtual

bool Atk::Table::is_selected | ( | int | row,
|  | int | column
| ) |  | const

Gets a boolean value indicating whether the accessible object at the specified row and column is selected.

Parameters

  row | A `int` representing a row in table.
  column | A `int` representing a column in table.

Returns
  A `bool` representing if the cell is selected, or 0 if value does not implement this interface.

virtual bool Atk::Table::is_selected_vfunc | ( | int | row,
|  | int | column
| ) |  | const
| protectedvirtual

virtual void Atk::Table::on_column_deleted | ( | int | column,
|  | int | num_deleted
| ) |  |
| protectedvirtual

This is a default handler for the signal signal_column_deleted().

virtual void Atk::Table::on_column_inserted | ( | int | column,
|  | int | num_inserted
| ) |  |
| protectedvirtual

This is a default handler for the signal signal_column_inserted().

virtual void Atk::Table::on_column_reordered | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_column_reordered().

virtual void Atk::Table::on_model_changed | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_model_changed().

virtual void Atk::Table::on_row_deleted | ( | int | row,
|  | int | num_deleted
| ) |  |
| protectedvirtual

This is a default handler for the signal signal_row_deleted().

virtual void Atk::Table::on_row_inserted | ( | int | row,
|  | int | num_inserted
| ) |  |
| protectedvirtual

This is a default handler for the signal signal_row_inserted().

virtual void Atk::Table::on_row_reordered | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_row_reordered().

Table& Atk::Table::operator= | ( | Table&& | src | ) |
| noexcept

bool Atk::Table::remove_column_selection | ( | int | column | ) |

Adds the specified column to the selection.

Parameters

  column | A `int` representing a column in table.

Returns
  A `bool` representing if the column was successfully removed from the selection, or 0 if value does not implement this interface.

virtual bool Atk::Table::remove_column_selection_vfunc | ( | int | column | ) |
| protectedvirtual

bool Atk::Table::remove_row_selection | ( | int | row | ) |

Removes the specified row from the selection.

Parameters

  row | A `int` representing a row in table.

Returns
  A `bool` representing if the row was successfully removed from the selection, or 0 if value does not implement this interface.

virtual bool Atk::Table::remove_row_selection_vfunc | ( | int | row | ) |
| protectedvirtual

void Atk::Table::set_caption | ( | const Glib::RefPtr< Atk::Object >& | caption | ) |

Sets the caption for the table.

Parameters

  caption | A Atk::Object representing the caption to set for table.

virtual void Atk::Table::set_caption_vfunc | ( | const Glib::RefPtr< Atk::Object >& | caption | ) |
| protectedvirtual

void Atk::Table::set_column_description | ( | int | column,
|  | const Glib::ustring & | description
| ) |  |

Sets the description text for the specified column of the table.

Parameters

  column | A `int` representing a column in table.
  description | A #gchar representing the description text to set for the specified column of the table.

virtual void Atk::Table::set_column_description_vfunc | ( | int | column,
|  | const char * | description
| ) |  |
| protectedvirtual

void Atk::Table::set_column_header | ( | int | column,
|  | const Glib::RefPtr< Atk::Object >& | header
| ) |  |

Sets the specified column header to header.

Parameters

  column | A `int` representing a column in table.
  header | An Atk::Table.

virtual void Atk::Table::set_column_header_vfunc | ( | int | column,
|  | const Glib::RefPtr< Atk::Object >& | header
| ) |  |
| protectedvirtual

void Atk::Table::set_row_description | ( | int | row,
|  | const Glib::ustring & | description
| ) |  |

Sets the description text for the specified row of table.

Parameters

  row | A `int` representing a row in table.
  description | A #gchar representing the description text to set for the specified row of table.

virtual void Atk::Table::set_row_description_vfunc | ( | int | row,
|  | const char * | description
| ) |  |
| protectedvirtual

void Atk::Table::set_row_header | ( | int | row,
|  | const Glib::RefPtr< Atk::Object >& | header
| ) |  |

Sets the specified row header to header.

Parameters

  row | A `int` representing a row in table.
  header | An Atk::Table.

virtual void Atk::Table::set_row_header_vfunc | ( | int | row,
|  | const Glib::RefPtr< Atk::Object >& | header
| ) |  |
| protectedvirtual

void Atk::Table::set_summary | ( | const Glib::RefPtr< Atk::Object >& | accessible | ) |

Sets the summary description of the table.

Parameters

  accessible | An Atk::Object representing the summary description to set for table.

virtual void Atk::Table::set_summary_vfunc | ( | const Glib::RefPtr< Atk::Object >& | accessible | ) |
| protectedvirtual

Glib::SignalProxy2< void,int,int > Atk::Table::signal_column_deleted | ( |  | ) |

Slot Prototype:
  `void on_my_column_deleted(int column, int num_deleted)`

The "column-deleted" signal is emitted by an object which implements the AtkTable interface when a column is deleted.

Parameters

  column | The index of the first column deleted.
  num_deleted | The number of columns deleted.

Glib::SignalProxy2< void,int,int > Atk::Table::signal_column_inserted | ( |  | ) |

Slot Prototype:
  `void on_my_column_inserted(int column, int num_inserted)`

The "column-inserted" signal is emitted by an object which implements the AtkTable interface when a column is inserted.

Parameters

  column | The index of the column inserted.
  num_inserted | The number of colums inserted.

Glib::SignalProxy0< void > Atk::Table::signal_column_reordered | ( |  | ) |

Slot Prototype:
  `void on_my_column_reordered()`

The "column-reordered" signal is emitted by an object which implements the AtkTable interface when the columns are reordered.

Glib::SignalProxy0< void > Atk::Table::signal_model_changed | ( |  | ) |

Slot Prototype:
  `void on_my_model_changed()`

The "model-changed" signal is emitted by an object which implements the AtkTable interface when the model displayed by the table changes.

Glib::SignalProxy2< void,int,int > Atk::Table::signal_row_deleted | ( |  | ) |

Slot Prototype:
  `void on_my_row_deleted(int row, int num_deleted)`

The "row-deleted" signal is emitted by an object which implements the AtkTable interface when a row is deleted.

Parameters

  row | The index of the first row deleted.
  num_deleted | The number of rows deleted.

Glib::SignalProxy2< void,int,int > Atk::Table::signal_row_inserted | ( |  | ) |

Slot Prototype:
  `void on_my_row_inserted(int row, int num_inserted)`

The "row-inserted" signal is emitted by an object which implements the AtkTable interface when a row is inserted.

Parameters

  row | The index of the first row inserted.
  num_inserted | The number of rows inserted.

Glib::SignalProxy0< void > Atk::Table::signal_row_reordered | ( |  | ) |

Slot Prototype:
  `void on_my_row_reordered()`

The "row-reordered" signal is emitted by an object which implements the AtkTable interface when the rows are reordered.

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Table > wrap | ( | AtkTable * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.